
Foreman - Bug #12207

Hosts#index slow load times

10/19/2015 04:15 AM - Tom Caspy

Status: Closed   

Priority: Normal   

Assignee: Tom Caspy   

Category: Performance   

Target version: 1.10.1   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/2838

  

Description

Related issues:

Related to Foreman - Tracker #11657: Performance refactoring for HostsController New 09/02/2015

Associated revisions

Revision 638776c5 - 10/22/2015 11:07 AM - Tom Caspy

fixes #12207 - objects with ancestors should not call ancestors if cached

up until now, ancestry objects always called their ancestors when

linking to the object because to_param called get_title instead of title

(which can be cached)

this caused a LOT of pointless queries, slowed down Hosts#index alot

Revision aa3c5523 - 01/19/2016 08:04 AM - Tom Caspy

fixes #12207 - objects with ancestors should not call ancestors if cached

up until now, ancestry objects always called their ancestors when

linking to the object because to_param called get_title instead of title

(which can be cached)

this caused a LOT of pointless queries, slowed down Hosts#index alot

(cherry picked from commit 638776c5d941f0fa8011022ff6720a81e5541852)

History

#1 - 10/19/2015 04:15 AM - Tom Caspy

- Related to Tracker #11657: Performance refactoring for HostsController added

#2 - 10/19/2015 07:42 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/2838 added

- Pull request deleted ()

#3 - 10/22/2015 12:03 PM - Tom Caspy

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 638776c5d941f0fa8011022ff6720a81e5541852.

#4 - 10/23/2015 03:04 AM - Dominic Cleal

- translation missing: en.field_release set to 104
